From 8f29fafb9c3b0936fb6f67212057127c13e17c1c Mon Sep 17 00:00:00 2001
From: Kuldeep Singh <kuldeep.singh@nxp.com>
Date: Tue, 7 Jan 2020 17:22:24 +0530
Subject: [PATCH] LF-18-1 arm64: dts: ls1088ardb: Update qspi dts node
 properties

Use compatibles as "jedec,spi-nor" to probe flash without displaying
warning: found s25fs512s, expected m25p80.
Also remove "fsl,qspi-has-second-chip" property as new driver doesn't use
it anymore.

Update dtsi compatibles to use "fsl,ls2080a-qspi".

Signed-off-by: Kuldeep Singh <kuldeep.singh@nxp.com>
---
 arch/arm64/boot/dts/freescale/fsl-ls1088a-rdb.dts | 18 +++++++++---------
 arch/arm64/boot/dts/freescale/fsl-ls1088a.dtsi    |  2 +-
 2 files changed, 10 insertions(+), 10 deletions(-)

--- a/arch/arm64/boot/dts/freescale/fsl-ls1088a-rdb.dts
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1088a-rdb.dts
@@ -76,25 +76,25 @@
 
 &qspi {
 	status = "okay";
-	fsl,qspi-has-second-chip;
-	qflash0: s25fs512s@0 {
-		compatible = "spansion,m25p80";
+
+	s25fs512s0: flash@0 {
+		compatible = "jedec,spi-nor";
 		#address-cells = <1>;
 		#size-cells = <1>;
 		spi-max-frequency = <20000000>;
 		reg = <0>;
-		spi-rx-bus-width = <4>;
-		spi-tx-bus-width = <4>;
+		spi-rx-bus-width = <1>;
+		spi-tx-bus-width = <1>;
 	};
 
-	qflash1: s25fs512s@1 {
-		compatible = "spansion,m25p80";
+	s25fs512s1: flash@1 {
+		compatible = "jedec,spi-nor";
 		#address-cells = <1>;
 		#size-cells = <1>;
 		spi-max-frequency = <20000000>;
 		reg = <1>;
-		spi-rx-bus-width = <4>;
-		spi-tx-bus-width = <4>;
+		spi-rx-bus-width = <1>;
+		spi-tx-bus-width = <1>;
 	};
 
 };
--- a/arch/arm64/boot/dts/freescale/fsl-ls1088a.dtsi
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1088a.dtsi
@@ -430,7 +430,7 @@
 			status = "disabled";
 		};
 		qspi: spi@20c0000 {
-			compatible = "fsl,ls2080a-qspi", "fsl,ls1088a-qspi";
+			compatible = "fsl,ls2080a-qspi";
 			#address-cells = <1>;
 			#size-cells = <0>;
 			reg = <0x0 0x20c0000 0x0 0x10000>,
